Error en simbología de Símbolos Graduados si capa no es de puntos
Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.0-2836 (rev. org.gvsig.desktop-2.0.203)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Associated revisions
Revision 43489 - 09/08/2017 10:47 AM - Joaquín  del Cerro Murciano

refs #4654. Mejorado el metodo GeometryManager.isSubtype para que tenga en cuenta CIRCLE, ARC, ELLIPSE ELLIPTICARC y SPLINE como
subtipos de CURVE.

Revision 43490 - 09/08/2017 10:48 AM - Joaquín  del Cerro Murciano

refs #4654. Añadida a la clase AbstractPoint un metodo centroid que devuelbe un clon de si misma. Antes hacer un centroid de un punto daba error,

Revision 43491 - 09/08/2017 10:49 AM - Joaquín  del Cerro Murciano

refs #4654. Modificados los Marker simbols para que no falle el draw si reciben una geometria que no sea un punto. Ahora cogen el centroide de la
geometria.

Revision 1804 - 09/08/2017 10:51 AM - Joaquín  del Cerro Murciano

refs #4654. Modificados los metodos de deteccion del tipo de geometria para que usen issubtype del geometrymanager en lugar de usar una
implementacion propia.

History
#1 - 09/08/2017 10:52 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2836 (rev. org.gvsig.desktop-2.0.203)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 09/11/2017 11:48 AM - Álvaro Anguix
- Status changed from Fixed to Closed
